#!/usr/bin/env pypy3
INF = 1e9+1
n = int(input())
max_profit = [-INF for _ in range(n+1)]
max_profit[0] = 0  # začínáme s prázdným skladem a ziskem 0

for i in range(n):
    X, t, c = input().split()
    t, c = int(t), int(c)
    if X == 'N':
        max_profit[t] = max(max_profit[t], max_profit[0]-c)
    elif X == 'P':
        max_profit[0] = max(max_profit[0], max_profit[t]+c)

answer = 0
for i in range(n+1):
    answer = max(answer, max_profit[i])

print(answer)

