#include <iostream>
#include <vector>

using namespace std;

const int INF = 1e9+1;

vector<int> max_profit;
// max_profit[0] - nejvyšší možný zisk s prázdným skladem
// max_profit[i] - nejvyšší možný zisk s předmětem *i* ve skladu

int main() {
    int n; cin >> n;

    max_profit.assign(n+1, -INF);
    max_profit[0] = 0; // začínáme s prázdným skladem a ziskem 0

    for (int i = 0; i < n; i++) {
        char X; int t, c;
        cin >> X >> t >> c;
        if (X == 'N') {
            max_profit[t] = max(max_profit[t], max_profit[0]-c);
        } else if (X == 'P') {
            max_profit[0] = max(max_profit[0], max_profit[t]+c);
        }
    }

    // prázdný sklad má vždy nejvyšší zisk
    cout << max_profit[0] << endl;
    return 0;
}
