N, V = [ int(_) for _ in input().split() ]
K = int(input())
A = [ int(_) for _ in input().split() ]

assert 1 <= N <= 50
assert 0 <= V <= 10**9
assert 0 <= K <= N
assert all( 1 <= x <= N for x in A )
assert len(A) == len(set(A))
assert A == list(reversed(sorted(A)))

def max_sum(largest): return largest * (largest+1)

if V % 2 == 1 or V < 20 or V > 20 + max_sum(N):
    print(-1)
    exit()

H = 20 + 2*sum(A)
M = 0
A = [N+1] + A
operations = []
while (H > V) or (H + max_sum( A[-1]-1 ) < V):
    H -= 2*A[-1]
    M += 2*A[-1]
    operations += [ 'L -', 'R -' ]
    A.pop()

for add in reversed(range(1,A[-1])):
    if H + 2*add <= V:
        H += 2*add
        M += 2*add
        operations += [ f'L + {add}', f'R + {add}' ]

print( len(operations), M )
for op in operations: print(op)
